Bug 132869 - htmlview doesnt check correctly if browser exists
htmlview doesnt check correctly if browser exists
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: htmlview (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-18 09:29 EDT by Dams
Modified: 2013-04-02 00:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-19 00:51:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dams 2004-09-18 09:29:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040809 Galeon/1.3.17

Description of problem:
Here's my gconf key :
[user@host ~]# gconftool-2 -g /desktop/gnome/url-handlers/http/command
galeon -n --noraise %s

so, htmlview is check if the prorgam "galeon -n --noraise" exists.
Which is just bad. I'm not sure you want to do it this way, but here's
my fix: 

exists() {
    which "${1%% *}" 2> /dev/null > /dev/null
    return $?
}

as "$1" is "galeon -n --noraise", "${1%% *}" is just "galeon" [without
anything after the first space].

Version-Release number of selected component: htmlview(0:3.0.0-4).noarch

How reproducible: Always
Comment 1 Warren Togami 2004-09-18 15:43:51 EDT
thx, I will test this.
Comment 2 Warren Togami 2004-09-19 00:51:28 EDT
Checked in.

Note You need to log in before you can comment on or make changes to this bug.